Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorGitLab Bot <gitlab-bot@gitlab.com>2021-11-09 18:12:42 +0300
committerGitLab Bot <gitlab-bot@gitlab.com>2021-11-09 18:12:42 +0300
commite6a54b33a9712d7f1a995df47f678fbb78bcd6b7 (patch)
treecfd401dc851da9632d9be07965f209d7c5838e3f /bin
parentb808458daa86105dd2101893961338912961ee92 (diff)
Add latest changes from gitlab-org/gitlab@master
Diffstat (limited to 'bin')
-rwxr-xr-xbin/background_jobs18
-rwxr-xr-xbin/mail_room9
-rwxr-xr-xbin/parallel-rsync-repos6
-rwxr-xr-xbin/web10
-rwxr-xr-xbin/with_env1
5 files changed, 22 insertions, 22 deletions
diff --git a/bin/background_jobs b/bin/background_jobs
index f301bb46ca9..d8929881f12 100755
--- a/bin/background_jobs
+++ b/bin/background_jobs
@@ -1,12 +1,12 @@
#!/usr/bin/env bash
-cd "$(dirname "$0")/.." || exit
-
+cd $(dirname $0)/..
app_root=$(pwd)
sidekiq_workers=${SIDEKIQ_WORKERS:-1}
sidekiq_queues=${SIDEKIQ_QUEUES:-*} # Queues to listen to; default to `*` (all)
sidekiq_pidfile="$app_root/tmp/pids/sidekiq-cluster.pid"
sidekiq_logfile="$app_root/log/sidekiq.log"
+gitlab_user=$(ls -l config.ru | awk '{print $3}')
trap cleanup EXIT
@@ -17,26 +17,26 @@ warn()
get_sidekiq_pid()
{
- if [ ! -f "$sidekiq_pidfile" ]; then
+ if [ ! -f $sidekiq_pidfile ]; then
warn "No pidfile found at $sidekiq_pidfile; is Sidekiq running?"
return
fi
- cat "$sidekiq_pidfile"
+ cat $sidekiq_pidfile
}
stop()
{
sidekiq_pid=$(get_sidekiq_pid)
- if [ "$sidekiq_pid" ]; then
- kill -TERM "$sidekiq_pid"
+ if [ $sidekiq_pid ]; then
+ kill -TERM $sidekiq_pid
fi
}
restart()
{
- if [ -f "$sidekiq_pidfile" ]; then
+ if [ -f $sidekiq_pidfile ]; then
stop
fi
@@ -53,12 +53,12 @@ start_sidekiq()
fi
# sidekiq-cluster expects an argument per process.
- for (( i=1; i<=sidekiq_workers; i++ ))
+ for (( i=1; i<=$sidekiq_workers; i++ ))
do
processes_args+=("${sidekiq_queues}")
done
- ${cmd} bin/sidekiq-cluster "${processes_args[@]}" -P "$sidekiq_pidfile" -e "$RAILS_ENV" "$@" 2>&1 | tee -a "$sidekiq_logfile"
+ ${cmd} bin/sidekiq-cluster "${processes_args[@]}" -P $sidekiq_pidfile -e $RAILS_ENV "$@" 2>&1 | tee -a $sidekiq_logfile
}
cleanup()
diff --git a/bin/mail_room b/bin/mail_room
index 3717e49e37f..cf9d422909e 100755
--- a/bin/mail_room
+++ b/bin/mail_room
@@ -1,6 +1,6 @@
#!/bin/sh
-cd "$(dirname "$0")/.." || exit 1
+cd $(dirname $0)/.. || exit 1
app_root=$(pwd)
mail_room_pidfile="$app_root/tmp/pids/mail_room.pid"
@@ -9,7 +9,8 @@ mail_room_config="$app_root/config/mail_room.yml"
get_mail_room_pid()
{
- pid=$(cat "$mail_room_pidfile")
+ local pid
+ pid=$(cat $mail_room_pidfile)
if [ -z "$pid" ] ; then
echo "Could not find a PID in $mail_room_pidfile"
exit 1
@@ -19,13 +20,13 @@ get_mail_room_pid()
start()
{
- bin/daemon_with_pidfile "$mail_room_pidfile" bundle exec mail_room --log-exit-as json -q -c "$mail_room_config" >> "$mail_room_logfile" 2>&1
+ bin/daemon_with_pidfile $mail_room_pidfile bundle exec mail_room --log-exit-as json -q -c $mail_room_config >> $mail_room_logfile 2>&1
}
stop()
{
get_mail_room_pid
- kill -TERM "$mail_room_pid"
+ kill -TERM $mail_room_pid
}
restart()
diff --git a/bin/parallel-rsync-repos b/bin/parallel-rsync-repos
index bd849371766..21921148fa0 100755
--- a/bin/parallel-rsync-repos
+++ b/bin/parallel-rsync-repos
@@ -32,20 +32,20 @@ if [ -z "$RSYNC" ] ; then
RSYNC=rsync
fi
-if ! cd "$SRC" ; then
+if ! cd $SRC ; then
echo "cd $SRC failed"
exit 1
fi
rsyncjob() {
- relative_dir="./${1#"$SRC"}"
+ relative_dir="./${1#$SRC}"
if ! $RSYNC --delete --relative -a "$relative_dir" "$DEST" ; then
echo "rsync $1 failed"
return 1
fi
- echo "$1" >> "$LOGFILE"
+ echo "$1" >> $LOGFILE
}
export LOGFILE SRC DEST RSYNC
diff --git a/bin/web b/bin/web
index 4d2a16f6665..c1ab4718f0d 100755
--- a/bin/web
+++ b/bin/web
@@ -2,7 +2,7 @@
set -e
-cd "$(dirname "$0")/.."
+cd $(dirname $0)/..
app_root=$(pwd)
puma_pidfile="$app_root/tmp/pids/puma.pid"
@@ -25,12 +25,12 @@ get_puma_pid()
start()
{
- spawn_puma "$@" &
+ spawn_puma &
}
start_foreground()
{
- spawn_puma "$@"
+ spawn_puma
}
stop()
@@ -46,10 +46,10 @@ reload()
case "$1" in
start)
- start "$@"
+ start
;;
start_foreground)
- start_foreground "$@"
+ start_foreground
;;
stop)
stop
diff --git a/bin/with_env b/bin/with_env
index b0647a50e27..e678fa2f0cc 100755
--- a/bin/with_env
+++ b/bin/with_env
@@ -10,7 +10,6 @@ shift
# Use set -a to export all variables defined in env_file.
set -a
-# shellcheck disable=SC1090
. "${env_file}"
set +a